// -----------------------------------------------------------------------------
//
//    ABOUT: Jumppad model from Xonotic game
//  LICENSE: GPL
// HOMEPAGE: http://www.xonotic.org
//
//  SHADERS: Edited/adapted by Julius
//     DATE: 30-Oct-2016
//
// -----------------------------------------------------------------------------


// Base shader (used from other shaders) ---------------------------------------

textures/xon_jumppad1/base1
{
    q3map_lightmapSampleSize 4
    q3map_lightmapFilterRadius 8 0
}


// Effects ---------------------------------------------------------------------

textures/xon_jumppad1/energy
{
    qer_editorImage models/xon_jumppad1/energy.tga

    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

    cull none

    {
        map models/xon_jumppad1/energy.tga
        tcGen environment
        tcMod turb 0 0.25 0 0.5
        tcMod scroll -.5 -.3
        blendFunc add
    }
}

textures/xon_jumppad1/flame
{
    qer_editorImage models/xon_jumppad1/flame.tga

    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

    cull none

    {
        map models/xon_jumppad1/flame.tga
        tcMod page 3 1 0.02
        blendFunc add
    }
}


// Metals ----------------------------------------------------------------------

textures/xon_jumppad1/met_base
{
    qer_editorimage models/xon_jumppad1/met_base.tga

    q3map_baseShader textures/xon_jumppad1/base1

    {
        map models/xon_jumppad1/met_base.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/xon_jumppad1/met_pits1
{
    qer_editorimage models/xon_jumppad1/met_pits1.tga

    q3map_baseShader textures/xon_jumppad1/base1

    q3map_globalTexture

    {
        map models/xon_jumppad1/met_pits1.tga
        rgbGen identity
        tcMod scale 2 2
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/xon_jumppad1/met_pits2
{
    qer_editorimage models/xon_jumppad1/met_pits2.tga

    q3map_baseShader textures/xon_jumppad1/base1

    {
        map models/xon_jumppad1/met_pits2.tga
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}

textures/xon_jumppad1/met_pits3
{
    qer_editorimage models/xon_jumppad1/met_pits2.tga

    q3map_baseShader textures/xon_jumppad1/base1

    q3map_globalTexture

    {
        map models/xon_jumppad1/met_pits2.tga
        rgbGen identity
        tcMod scale 4 4
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


// EOF ------------------------------- EOF --------------------------------- EOF
